Visit API

post /intakes/{id}

Update intake data object

Base URL https://api.vseepreview.com/api_v3 · operationId updateIntake

Authentication: User Token — Requires a user access token from login or SSO.

Update an existing intake object

Parameters

NameInTypeRequiredEnumDefaultDescription
X-ApiTokenheaderstringyesAPI token (e.g. your_api_token)
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
idpathstringyesIntake ID (e.g. 57a0705e-1c4c-4f24-b51d-3c71ac1f0144)
provider_idqueryintegernoThe ID of the provider (optional)
reason_for_visitquerystringnoReason for visit (optional)
locationquerystringnoState location code (optional)
phonequerystringnoPatient phone number (optional)

Responses

200 — Intake updated successfully

Updated intake — Intake successfully updated

{
  "data": {
    "id": "56e8c536-566c-44b6-bbca-66f0ac1f0144"
  }
}

401 — Unauthorized

{
  "error": "Unauthorized",
  "message": "Invalid or missing API token"
}

Machine-readable: OpenAPI JSON (operationId: updateIntake)